//course_functions.js

//find browser inner height
function getHeight()
{
	if (this.webkit419) return this.innerHeight;
	if (this.opera) return document.body.clientHeight;
	return document.documentElement.clientHeight;
}

function init(screentype) {

	var contentarea = document.getElementById('content');
	var innerheight = getHeight();
	var mainscreen = document.getElementById('main');

	switch(screentype) {
		case 0 : //menu
			//top portion = 450px
			if(contentarea.offsetHeight < (innerheight-450)) {
				contentarea.style.height = (innerheight-470) + 'px';
			}
			break;
		case 1 : //screen
			if(mainscreen.offsetHeight < innerheight - 120) {
				mainscreen.style.height = innerheight - 120 + 'px';
			} else {
				//alert(mainscreen.offsetHeight);
				//alert(contentarea.offsetHeight);
				mainscreen.style.height = contentarea.offsetHeight + 280 + 'px';
			}
			break;
	}

}

function UniversalExit() {
	//window.opener='x';window.close();
	window.close();
}

//open popup window
function openNewWindow(URLtoOpen, windowName, width, height, toolbar, scrollbars)
{
	newWindow=window.open(
	URLtoOpen,
	windowName,
	'width='+width+
	',height='+height+
	',toolbar='+toolbar+
	',scrollbars='+scrollbars+
	',location=no'/*+
	',top='+centerHeight+
	',left='+centerWidth*/
	);
	newWindow.focus();
}

//SITE NAVIGATION
gNavNamesArray = new Array("USPTOLA_1_1.htm","USPTOLA_1_2.htm","USPTOLA_1_3.htm","USPTOLA_1_4.htm","USPTOLA_2_1.htm","USPTOLA_2_2.htm","USPTOLA_3_1.htm","USPTOLA_3_2.htm","USPTOLA_3_3.htm","USPTOLA_3_4.htm","USPTOLA_3_5.htm","USPTOLA_3_6.htm","USPTOLA_3_7.htm","USPTOLA_3_8.htm","../menu/index.htm");

function epFindIndexof(tmpArray, tmpValue)
{
	for (var lp = 0; lp < tmpArray.length; lp ++) {
		if (tmpArray[lp] == tmpValue) {
			return lp;
		}
	}
	return -1;
}

function epExtractCurrentFilename()
{
	//
	//
	vStartNdx = window.location.pathname.lastIndexOf('/')+1;
	if (vStartNdx == 1) {
		// Windows IE local hard drive workaround
		//
		vStartNdx = window.location.pathname.lastIndexOf('\\')+1;
	}
	vLastNdx = window.location.pathname.length;
	//
	//
	return window.location.pathname.substring(vStartNdx, vLastNdx);
}

function epScreenSequencer()
{
	//
	// Build a section array by pulling all filenames out of total array that start with that section name, number
	//
	//
	// Extract filename from broswer window location
	//
	var vCurrFname = epExtractCurrentFilename();
	//
	//
	var sectionStr = vCurrFname.substring(0,2);
	var sectionStrLen = sectionStr.length;
	var vSectionArray = new Array();
	var vTotalNum = 0;
	//
	for (var lp = 0; lp < gNavNamesArray.length; lp ++) {
		//
		var vTempStr = (gNavNamesArray[lp]).substring(0, sectionStrLen);
		//
		if (vTempStr == sectionStr) {
			vSectionArray[vTotalNum] = gNavNamesArray[lp];
			vTotalNum = vTotalNum + 1;
		}
	}
	//
	var vCurrScrNum = epFindIndexof(vSectionArray, vCurrFname) + 1;
	//alert ('vCurrScrNum = ' + vCurrScrNum + ' of ' + vTotalNum);
	if (vTotalNum <= 9) {
		vTotalStr = '0' + vTotalNum;
	} else {
		vTotalStr = vTotalNum;
	}
	if (vCurrScrNum <= 9) {
		document.write('Screen 0' + vCurrScrNum + ' of ' + vTotalStr);
	} else {
		document.write('Screen ' + vCurrScrNum + ' of ' + vTotalStr);
	}
}



function epAdvNextPage()
{
	// Extract filename from broswer window location
	//
	var vCurrFname = epExtractCurrentFilename();
	//
	// Compute current postion in array
	//
	xCurrArrayPostion = epFindIndexof(gNavNamesArray, vCurrFname);

	if (xCurrArrayPostion == -1) {
		alert("The current file name is not in the nav array.. " + vCurrFname);
	} else if (xCurrArrayPostion == (gNavNamesArray.length-1)) {
		alert("You are on the last screen.");
	} else {
		vNextFname = gNavNamesArray[(xCurrArrayPostion+1)];
		//
		vCurrFname = gNavNamesArray[(xCurrArrayPostion)];

		window.location = vNextFname;
	}
}


function epAdvPrevPage()
{
	// Extract filename from broswer window location
	//
	var vCurrFname = epExtractCurrentFilename();;
	//
	// Compute current postion in array
	//
	xCurrArrayPostion = epFindIndexof(gNavNamesArray, vCurrFname);

	if (xCurrArrayPostion == -1) {
		alert("The current file name is not in the nav array.. " + vCurrFname);
	} else if (xCurrArrayPostion == 0) {
		alert("You are on the first screen.");
	} else {
		vNextFname = gNavNamesArray[(xCurrArrayPostion-1)];
		window.location = vNextFname;
	}
}
